Loading...
Searching...
No Matches
DebugExtension Class Reference

Debug Extension More...

## Static Public Member Functions

static void | DebugPoint (Vector3 position, Color color, float scale=1.0f, float duration=0, bool depthTest=true)
static void | DebugPoint (Vector3 position, float scale=1.0f, float duration=0, bool depthTest=true)
static void | DebugBounds (Bounds bounds, Color color, float duration=0, bool depthTest=true)
static void | DebugBounds (Bounds bounds, float duration=0, bool depthTest=true)
static void | DebugLocalCube (Transform transform, Vector3 size, Color color, Vector3 center=default(Vector3), float duration=0, bool depthTest=true)
static void | DebugLocalCube (Transform transform, Vector3 size, Vector3 center=default(Vector3), float duration=0, bool depthTest=true)
static void | DebugLocalCube (Matrix4x4 space, Vector3 size, Color color, Vector3 center=default(Vector3), float duration=0, bool depthTest=true)
static void | DebugLocalCube (Matrix4x4 space, Vector3 size, Vector3 center=default(Vector3), float duration=0, bool depthTest=true)
static void | DebugCircle (Vector3 position, Vector3 up, Color color, float radius=1.0f, float duration=0, bool depthTest=true)
static void | DebugCircle (Vector3 position, Color color, float radius=1.0f, float duration=0, bool depthTest=true)
static void | DebugCircle (Vector3 position, Vector3 up, float radius=1.0f, float duration=0, bool depthTest=true)
static void | DebugCircle (Vector3 position, float radius=1.0f, float duration=0, bool depthTest=true)
static void | DebugWireSphere (Vector3 position, Color color, float radius=1.0f, float duration=0, bool depthTest=true)
static void | DebugWireSphere (Vector3 position, float radius=1.0f, float duration=0, bool depthTest=true)
static void | DebugCylinder (Vector3 start, Vector3 end, Color color, float radius=1, float duration=0, bool depthTest=true)
static void | DebugCylinder (Vector3 start, Vector3 end, float radius=1, float duration=0, bool depthTest=true)
static void | DebugCone (Vector3 position, Vector3 direction, Color color, float angle=45, float duration=0, bool depthTest=true)
static void | DebugCone (Vector3 position, Vector3 direction, float angle=45, float duration=0, bool depthTest=true)
static void | DebugCone (Vector3 position, Color color, float angle=45, float duration=0, bool depthTest=true)
static void | DebugCone (Vector3 position, float angle=45, float duration=0, bool depthTest=true)
static void | DebugArrow (Vector3 position, Vector3 direction, Color color, float duration=0, bool depthTest=true)
static void | DebugArrow (Vector3 position, Vector3 direction, float duration=0, bool depthTest=true)
static void | DebugCapsule (Vector3 start, Vector3 end, Color color, float radius=1, float duration=0, bool depthTest=true)
static void | DebugCapsule (Vector3 start, Vector3 end, float radius=1, float duration=0, bool depthTest=true)
static void | DrawPoint (Vector3 position, Color color, float duration=2f, float scale=1.0f)
static void | DrawPoint (Vector3 position, float scale=1.0f)
static void | DrawBounds (Bounds bounds, Color color)
static void | DrawBounds (Bounds bounds)
static void | DrawLocalCube (Transform transform, Vector3 size, Color color, Vector3 center=default(Vector3))
static void | DrawLocalCube (Transform transform, Vector3 size, Vector3 center=default(Vector3))
static void | DrawLocalCube (Matrix4x4 space, Vector3 size, Color color, Vector3 center=default(Vector3))
static void | DrawLocalCube (Matrix4x4 space, Vector3 size, Vector3 center=default(Vector3))
static void | DrawCircle (Vector3 position, Vector3 up, Color color, float radius=1.0f)
static void | DrawCircle (Vector3 position, Color color, float radius=1.0f)
static void | DrawCircle (Vector3 position, Vector3 up, float radius=1.0f)
static void | DrawCircle (Vector3 position, float radius=1.0f)
static void | DrawCylinder (Vector3 start, Vector3 end, Color color, float radius=1.0f)
static void | DrawCylinder (Vector3 start, Vector3 end, float radius=1.0f)
static void | DrawCone (Vector3 position, Vector3 direction, Color color, float angle=45)
static void | DrawCone (Vector3 position, Vector3 direction, float angle=45)
static void | DrawCone (Vector3 position, Color color, float angle=45)
static void | DrawCone (Vector3 position, float angle=45)
static void | DrawArrow (Vector3 position, Vector3 direction, Color color)
static void | DrawArrow (Vector3 position, Vector3 direction)
static void | DrawCapsule (Vector3 start, Vector3 end, Color color, float radius=1)
static void | DrawCapsule (Vector3 start, Vector3 end, float radius=1)
static string | MethodsOfObject (System.Object obj, bool includeInfo=false)
static string | MethodsOfType (System.Type type, bool includeInfo=false)

## Detailed Description

Debug Extension

- Static class that extends Unity's debugging functionallity.
- Attempts to mimic Unity's existing debugging behaviour for ease-of-use.
- Includes gizmo drawing methods for less memory-intensive debug visualization.

## Member Function Documentation

## DebugArrow() [1/2]

static void DebugExtension.DebugArrow | ( | Vector3 | position,
|  | Vector3 | direction,
|  | Color | color,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs an arrow.
  Parameters

    position |

  The start position of the arrow.

Parameters

  direction

  - The direction the arrow will point in.

  color

  - The color of the arrow.

  duration

  - How long to draw the arrow.

  depthTest

  - Whether or not the arrow should be faded when behind other objects.

## DebugArrow() [2/2]

static void DebugExtension.DebugArrow | ( | Vector3 | position,
|  | Vector3 | direction,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs an arrow.
  Parameters

    position |

  The start position of the arrow.

Parameters

  direction

  - The direction the arrow will point in.

  duration

  - How long to draw the arrow.

  depthTest

  - Whether or not the arrow should be faded when behind other objects.

## DebugBounds() [1/2]

static void DebugExtension.DebugBounds | ( | Bounds | bounds,
|  | Color | color,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs an axis-aligned bounding box.
  Parameters

    bounds |

  The bounds to debug.

Parameters

  color

  - The color of the bounds.

  duration

  - How long to draw the bounds.

  depthTest

  - Whether or not the bounds should be faded when behind other objects.

## DebugBounds() [2/2]

static void DebugExtension.DebugBounds | ( | Bounds | bounds,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs an axis-aligned bounding box.
  Parameters

    bounds |

  The bounds to debug.

Parameters

  duration

  - How long to draw the bounds.

  depthTest

  - Whether or not the bounds should be faded when behind other objects.

## DebugCapsule() [1/2]

static void DebugExtension.DebugCapsule | ( | Vector3 | start,
|  | Vector3 | end,
|  | Color | color,
|  | float | radius = `1`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a capsule.
  Parameters

    start |

  The position of one end of the capsule.

Parameters

  end

  - The position of the other end of the capsule.

  color

  - The color of the capsule.

  radius

  - The radius of the capsule.

  duration

  - How long to draw the capsule.

  depthTest

  - Whether or not the capsule should be faded when behind other objects.

## DebugCapsule() [2/2]

static void DebugExtension.DebugCapsule | ( | Vector3 | start,
|  | Vector3 | end,
|  | float | radius = `1`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a capsule.
  Parameters

    start |

  The position of one end of the capsule.

Parameters

  end

  - The position of the other end of the capsule.

  radius

  - The radius of the capsule.

  duration

  - How long to draw the capsule.

  depthTest

  - Whether or not the capsule should be faded when behind other objects.

## DebugCircle() [1/4]

static void DebugExtension.DebugCircle | ( | Vector3 | position,
|  | Color | color,
|  | float | radius = `1.0f`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a circle.
  Parameters

    position |

  Where the center of the circle will be positioned.

Parameters

  color

  - The color of the circle.

  radius

  - The radius of the circle.

  duration

  - How long to draw the circle.

  depthTest

  - Whether or not the circle should be faded when behind other objects.

## DebugCircle() [2/4]

static void DebugExtension.DebugCircle | ( | Vector3 | position,
|  | float | radius = `1.0f`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a circle.
  Parameters

    position |

  Where the center of the circle will be positioned.

Parameters

  radius

  - The radius of the circle.

  duration

  - How long to draw the circle.

  depthTest

  - Whether or not the circle should be faded when behind other objects.

## DebugCircle() [3/4]

static void DebugExtension.DebugCircle | ( | Vector3 | position,
|  | Vector3 | up,
|  | Color | color,
|  | float | radius = `1.0f`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a circle.
  Parameters

    position |

  Where the center of the circle will be positioned.

Parameters

  up

  - The direction perpendicular to the surface of the circle.

  color

  - The color of the circle.

  radius

  - The radius of the circle.

  duration

  - How long to draw the circle.

  depthTest

  - Whether or not the circle should be faded when behind other objects.

## DebugCircle() [4/4]

static void DebugExtension.DebugCircle | ( | Vector3 | position,
|  | Vector3 | up,
|  | float | radius = `1.0f`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a circle.
  Parameters

    position |

  Where the center of the circle will be positioned.

Parameters

  up

  - The direction perpendicular to the surface of the circle.

  radius

  - The radius of the circle.

  duration

  - How long to draw the circle.

  depthTest

  - Whether or not the circle should be faded when behind other objects.

## DebugCone() [1/4]

static void DebugExtension.DebugCone | ( | Vector3 | position,
|  | Color | color,
|  | float | angle = `45`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a cone.
  Parameters

    position |

  The position for the tip of the cone.

Parameters

  angle

  - The angle of the cone.

  color

  - The color of the cone.

  duration

  - How long to draw the cone.

  depthTest

  - Whether or not the cone should be faded when behind other objects.

## DebugCone() [2/4]

static void DebugExtension.DebugCone | ( | Vector3 | position,
|  | float | angle = `45`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a cone.
  Parameters

    position |

  The position for the tip of the cone.

Parameters

  angle

  - The angle of the cone.

  duration

  - How long to draw the cone.

  depthTest

  - Whether or not the cone should be faded when behind other objects.

## DebugCone() [3/4]

static void DebugExtension.DebugCone | ( | Vector3 | position,
|  | Vector3 | direction,
|  | Color | color,
|  | float | angle = `45`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a cone.
  Parameters

    position |

  The position for the tip of the cone.

Parameters

  direction

  - The direction for the cone gets wider in.

  angle

  - The angle of the cone.

  color

  - The color of the cone.

  duration

  - How long to draw the cone.

  depthTest

  - Whether or not the cone should be faded when behind other objects.

## DebugCone() [4/4]

static void DebugExtension.DebugCone | ( | Vector3 | position,
|  | Vector3 | direction,
|  | float | angle = `45`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a cone.
  Parameters

    position |

  The position for the tip of the cone.

Parameters

  direction

  - The direction for the cone gets wider in.

  angle

  - The angle of the cone.

  duration

  - How long to draw the cone.

  depthTest

  - Whether or not the cone should be faded when behind other objects.

## DebugCylinder() [1/2]

static void DebugExtension.DebugCylinder | ( | Vector3 | start,
|  | Vector3 | end,
|  | Color | color,
|  | float | radius = `1`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a cylinder.
  Parameters

    start |

  The position of one end of the cylinder.

Parameters

  end

  - The position of the other end of the cylinder.

  color

  - The color of the cylinder.

  radius

  - The radius of the cylinder.

  duration

  - How long to draw the cylinder.

  depthTest

  - Whether or not the cylinder should be faded when behind other objects.

## DebugCylinder() [2/2]

static void DebugExtension.DebugCylinder | ( | Vector3 | start,
|  | Vector3 | end,
|  | float | radius = `1`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a cylinder.
  Parameters

    start |

  The position of one end of the cylinder.

Parameters

  end

  - The position of the other end of the cylinder.

  radius

  - The radius of the cylinder.

  duration

  - How long to draw the cylinder.

  depthTest

  - Whether or not the cylinder should be faded when behind other objects.

## DebugLocalCube() [1/4]

static void DebugExtension.DebugLocalCube | ( | Matrix4x4 | space,
|  | Vector3 | size,
|  | Color | color,
|  | Vector3 | center = `default(Vector3)`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a local cube.
  Parameters

    space |

  The space the cube will be local to.

Parameters

  size

  - The size of the cube.

  color

  - Color of the cube.

  center

  - The position (relative to transform) where the cube will be debugged.

  duration

  - How long to draw the cube.

  depthTest

  - Whether or not the cube should be faded when behind other objects.

## DebugLocalCube() [2/4]

static void DebugExtension.DebugLocalCube | ( | Matrix4x4 | space,
|  | Vector3 | size,
|  | Vector3 | center = `default(Vector3)`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a local cube.
  Parameters

    space |

  The space the cube will be local to.

Parameters

  size

  - The size of the cube.

  center

  - The position (relative to transform) where the cube will be debugged.

  duration

  - How long to draw the cube.

  depthTest

  - Whether or not the cube should be faded when behind other objects.

## DebugLocalCube() [3/4]

static void DebugExtension.DebugLocalCube | ( | Transform | transform,
|  | Vector3 | size,
|  | Color | color,
|  | Vector3 | center = `default(Vector3)`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a local cube.
  Parameters

    transform |

  The transform that the cube will be local to.

Parameters

  size

  - The size of the cube.

  color

  - Color of the cube.

  center

  - The position (relative to transform) where the cube will be debugged.

  duration

  - How long to draw the cube.

  depthTest

  - Whether or not the cube should be faded when behind other objects.

## DebugLocalCube() [4/4]

static void DebugExtension.DebugLocalCube | ( | Transform | transform,
|  | Vector3 | size,
|  | Vector3 | center = `default(Vector3)`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a local cube.
  Parameters

    transform |

  The transform that the cube will be local to.

Parameters

  size

  - The size of the cube.

  center

  - The position (relative to transform) where the cube will be debugged.

  duration

  - How long to draw the cube.

  depthTest

  - Whether or not the cube should be faded when behind other objects.

## DebugPoint() [1/2]

static void DebugExtension.DebugPoint | ( | Vector3 | position,
|  | Color | color,
|  | float | scale = `1.0f`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a point.
  Parameters

    position |

  The point to debug.

Parameters

  color

  - The color of the point.

  scale

  - The size of the point.

  duration

  - How long to draw the point.

  depthTest

  - Whether or not this point should be faded when behind other objects.

## DebugPoint() [2/2]

static void DebugExtension.DebugPoint | ( | Vector3 | position,
|  | float | scale = `1.0f`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a point.
  Parameters

    position |

  The point to debug.

Parameters

  scale

  - The size of the point.

  duration

  - How long to draw the point.

  depthTest

  - Whether or not this point should be faded when behind other objects.

## DebugWireSphere() [1/2]

static void DebugExtension.DebugWireSphere | ( | Vector3 | position,
|  | Color | color,
|  | float | radius = `1.0f`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a wire sphere.
  Parameters

    position |

  The position of the center of the sphere.

Parameters

  color

  - The color of the sphere.

  radius

  - The radius of the sphere.

  duration

  - How long to draw the sphere.

  depthTest

  - Whether or not the sphere should be faded when behind other objects.

## DebugWireSphere() [2/2]

static void DebugExtension.DebugWireSphere | ( | Vector3 | position,
|  | float | radius = `1.0f`,
|  | float | duration = `0`,
|  | bool | depthTest = `true`
| ) |  |

static

- Debugs a wire sphere.
  Parameters

    position |

  The position of the center of the sphere.

Parameters

  radius

  - The radius of the sphere.

  duration

  - How long to draw the sphere.

  depthTest

  - Whether or not the sphere should be faded when behind other objects.

## DrawArrow() [1/2]

static void DebugExtension.DrawArrow | ( | Vector3 | position,
|  | Vector3 | direction
| ) |  |

static

- Draws an arrow.
  Parameters

    position |

  The start position of the arrow.

Parameters

  direction

  - The direction the arrow will point in.

## DrawArrow() [2/2]

static void DebugExtension.DrawArrow | ( | Vector3 | position,
|  | Vector3 | direction,
|  | Color | color
| ) |  |

static

- Draws an arrow.
  Parameters

    position |

  The start position of the arrow.

Parameters

  direction

  - The direction the arrow will point in.

  color

  - The color of the arrow.

## DrawBounds() [1/2]

static void DebugExtension.DrawBounds | ( | Bounds | bounds | ) |

static

- Draws an axis-aligned bounding box.
  Parameters

    bounds |

  The bounds to draw.

## DrawBounds() [2/2]

static void DebugExtension.DrawBounds | ( | Bounds | bounds,
|  | Color | color
| ) |  |

static

- Draws an axis-aligned bounding box.
  Parameters

    bounds |

  The bounds to draw.

Parameters

  color

  - The color of the bounds.

## DrawCapsule() [1/2]

static void DebugExtension.DrawCapsule | ( | Vector3 | start,
|  | Vector3 | end,
|  | Color | color,
|  | float | radius = `1`
| ) |  |

static

- Draws a capsule.
  Parameters

    start |

  The position of one end of the capsule.

Parameters

  end

  - The position of the other end of the capsule.

  color

  - The color of the capsule.

  radius

  - The radius of the capsule.

## DrawCapsule() [2/2]

static void DebugExtension.DrawCapsule | ( | Vector3 | start,
|  | Vector3 | end,
|  | float | radius = `1`
| ) |  |

static

- Draws a capsule.
  Parameters

    start |

  The position of one end of the capsule.

Parameters

  end

  - The position of the other end of the capsule.

  radius

  - The radius of the capsule.

## DrawCircle() [1/4]

static void DebugExtension.DrawCircle | ( | Vector3 | position,
|  | Color | color,
|  | float | radius = `1.0f`
| ) |  |

static

- Draws a circle.
  Parameters

    position |

  Where the center of the circle will be positioned.

Parameters

  color

  - The color of the circle.

  radius

  - The radius of the circle.

## DrawCircle() [2/4]

static void DebugExtension.DrawCircle | ( | Vector3 | position,
|  | float | radius = `1.0f`
| ) |  |

static

- Draws a circle.
  Parameters

    position |

  Where the center of the circle will be positioned.

Parameters

  radius

  - The radius of the circle.

## DrawCircle() [3/4]

static void DebugExtension.DrawCircle | ( | Vector3 | position,
|  | Vector3 | up,
|  | Color | color,
|  | float | radius = `1.0f`
| ) |  |

static

- Draws a circle.
  Parameters

    position |

  Where the center of the circle will be positioned.

Parameters

  up

  - The direction perpendicular to the surface of the circle.

  color

  - The color of the circle.

  radius

  - The radius of the circle.

## DrawCircle() [4/4]

static void DebugExtension.DrawCircle | ( | Vector3 | position,
|  | Vector3 | up,
|  | float | radius = `1.0f`
| ) |  |

static

- Draws a circle.
  Parameters

    position |

  Where the center of the circle will be positioned.

Parameters

  up

  - The direction perpendicular to the surface of the circle.

  radius

  - The radius of the circle.

## DrawCone() [1/4]

static void DebugExtension.DrawCone | ( | Vector3 | position,
|  | Color | color,
|  | float | angle = `45`
| ) |  |

static

- Draws a cone.
  Parameters

    position |

  The position for the tip of the cone.

Parameters

  color

  - The color of the cone.

  angle

  - The angle of the cone.

## DrawCone() [2/4]

static void DebugExtension.DrawCone | ( | Vector3 | position,
|  | float | angle = `45`
| ) |  |

static

- Draws a cone.
  Parameters

    position |

  The position for the tip of the cone.

Parameters

  angle

  - The angle of the cone.

## DrawCone() [3/4]

static void DebugExtension.DrawCone | ( | Vector3 | position,
|  | Vector3 | direction,
|  | Color | color,
|  | float | angle = `45`
| ) |  |

static

- Draws a cone.
  Parameters

    position |

  The position for the tip of the cone.

Parameters

  direction

  - The direction for the cone to get wider in.

  color

  - The color of the cone.

  angle

  - The angle of the cone.

## DrawCone() [4/4]

static void DebugExtension.DrawCone | ( | Vector3 | position,
|  | Vector3 | direction,
|  | float | angle = `45`
| ) |  |

static

- Draws a cone.
  Parameters

    position |

  The position for the tip of the cone.

Parameters

  direction

  - The direction for the cone to get wider in.

  angle

  - The angle of the cone.

## DrawCylinder() [1/2]

static void DebugExtension.DrawCylinder | ( | Vector3 | start,
|  | Vector3 | end,
|  | Color | color,
|  | float | radius = `1.0f`
| ) |  |

static

- Draws a cylinder.
  Parameters

    start |

  The position of one end of the cylinder.

Parameters

  end

  - The position of the other end of the cylinder.

  color

  - The color of the cylinder.

  radius

  - The radius of the cylinder.

## DrawCylinder() [2/2]

static void DebugExtension.DrawCylinder | ( | Vector3 | start,
|  | Vector3 | end,
|  | float | radius = `1.0f`
| ) |  |

static

- Draws a cylinder.
  Parameters

    start |

  The position of one end of the cylinder.

Parameters

  end

  - The position of the other end of the cylinder.

  radius

  - The radius of the cylinder.

## DrawLocalCube() [1/4]

static void DebugExtension.DrawLocalCube | ( | Matrix4x4 | space,
|  | Vector3 | size,
|  | Color | color,
|  | Vector3 | center = `default(Vector3)`
| ) |  |

static

- Draws a local cube.
  Parameters

    space |

  The space the cube will be local to.

Parameters

  size

  - The local size of the cube.

  center

  - The local position of the cube.

  color

  - The color of the cube.

## DrawLocalCube() [2/4]

static void DebugExtension.DrawLocalCube | ( | Matrix4x4 | space,
|  | Vector3 | size,
|  | Vector3 | center = `default(Vector3)`
| ) |  |

static

- Draws a local cube.
  Parameters

    space |

  The space the cube will be local to.

Parameters

  size

  - The local size of the cube.

  center

  - The local position of the cube.

## DrawLocalCube() [3/4]

static void DebugExtension.DrawLocalCube | ( | Transform | transform,
|  | Vector3 | size,
|  | Color | color,
|  | Vector3 | center = `default(Vector3)`
| ) |  |

static

- Draws a local cube.
  Parameters

    transform |

  The transform the cube will be local to.

Parameters

  size

  - The local size of the cube.

  center

  - The local position of the cube.

  color

  - The color of the cube.

## DrawLocalCube() [4/4]

static void DebugExtension.DrawLocalCube | ( | Transform | transform,
|  | Vector3 | size,
|  | Vector3 | center = `default(Vector3)`
| ) |  |

static

- Draws a local cube.
  Parameters

    transform |

  The transform the cube will be local to.

Parameters

  size

  - The local size of the cube.

  center

  - The local position of the cube.

## DrawPoint() [1/2]

static void DebugExtension.DrawPoint | ( | Vector3 | position,
|  | Color | color,
|  | float | duration = `2f`,
|  | float | scale = `1.0f`
| ) |  |

static

- Draws a point.
  Parameters

    position |

  The point to draw.

Parameters

  color

  - The color of the drawn point.

  scale

  - The size of the drawn point.

## DrawPoint() [2/2]

static void DebugExtension.DrawPoint | ( | Vector3 | position,
|  | float | scale = `1.0f`
| ) |  |

static

- Draws a point.
  Parameters

    position |

  The point to draw.

Parameters

  scale

  - The size of the drawn point.

## MethodsOfObject()

static string DebugExtension.MethodsOfObject | ( | System.Object | obj,
|  | bool | includeInfo = `false`
| ) |  |

static

- Gets the methods of an object.
  Returns

    A list of methods accessible from this object.

  Parameters

    obj |

  The object to get the methods of.

Parameters

  includeInfo

  - Whether or not to include each method's method info in the list.

## MethodsOfType()

static string DebugExtension.MethodsOfType | ( | System.Type | type,
|  | bool | includeInfo = `false`
| ) |  |

static

- Gets the methods of a type.
  Returns

    A list of methods accessible from this type.

  Parameters

    type |

  The type to get the methods of.

Parameters

  includeInfo

  - Whether or not to include each method's method info in the list.

The documentation for this class was generated from the following file:

- DebugExtension.cs